Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.logging
Class Levels

    java.lang.Object
      com.sun.jini.logging.Levels

public class Levels
extends Object

Defines additional `Level` values.

See the `LogManager` class for one way to use the `FAILED` and `HANDLED` logging levels in standard logging configuration files.

Since:
  2.0

Field Summary
`static Level` | `FAILED` `FAILED` is a message level indicating that a facility has experienced a failure that it will reflect to its caller.
`static Level` | `HANDLED` `HANDLED` is a message level indicating that a facility has detected a failure that it will take steps to handle without reflecting the failure to its caller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAILED

    public static final Level FAILED

  `FAILED` is a message level indicating that a facility has experienced a failure that it will reflect to its caller.

  `FAILED` messages are intended to provide users with information about failures produced by internal components in order to assist with debugging problems in systems with multiple components. This level is initialized to `600`.

### HANDLED

    public static final Level HANDLED

  `HANDLED` is a message level indicating that a facility has detected a failure that it will take steps to handle without reflecting the failure to its caller.

  `HANDLED` messages are intended to provide users with information about failures detected by internal components in order to assist with debugging problems in systems with multiple components. This level is initialized to `550`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved